
QGIS Application - Bug report #18663

QGIS 3.0.1 crashed

2018-04-08 12:31 PM - Ricardo Gonzalez

Status: Closed

Priority: Low

Assignee:

Category: Data Provider

Affected QGIS version:3.0.0 Regression?: No

Operating System: W10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:Yes Copied to github as #: 26551

Description

User Feedback

Just deleted a couple of columns in a table, after calculating the area of polygons.

Report Details

Crash ID: 9f5d19881f4f09447d1116574b0cabbd8f9865ba

Stack Trace

memcpy :

QgsVectorLayerFeatureIterator::updateChangedAttributes :

QgsVectorLayerFeatureIterator::fetchFeature :

QgsAbstractFeatureIterator::nextFeature :

QgsCachedFeatureWriterIterator::fetchFeature :

QgsAbstractFeatureIterator::nextFeature :

QgsAttributeTableModel::prefetchSortData :

QgsAttributeTableFilterModel::setAttributeTableConfig :

QMetaObject::activate :

QAbstractItemModel::beginRemoveColumns :

QgsAttributeTableModel::loadAttributes :

QgsAttributeTableModel::loadLayer :

QMetaObject::activate :

QMetaObject::activate :

QgsVectorLayer::updateFields :

QgsVectorLayerUndoCommandDeleteAttribute::redo :

QUndoStack::push :

QgsVectorLayerEditBuffer::deleteAttribute :

QgsVectorLayer::deleteAttribute :

QgsVectorLayer::deleteAttributes :

QgsAttributeTableDialog::mActionRemoveAttribute_triggered :

QMetaObject::activate :

QAction::activate :

QAbstractButton::click :

QAbstractButton::mouseReleaseEvent :

QToolButton::mouseReleaseEvent :

QWidget::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :
QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.0.1-Girona

QGIS code revision: commit:a86bec25eb

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.16299

History

#1 - 2018-06-14 12:09 PM - Alessandro Pasotti

- Status changed from Open to Feedback

- Category changed from QGIS Server to Data Provider

Can you please add a test project with example data and a step-by-step procedure to reproduce this issue?

#2 - 2018-08-15 07:59 PM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Closing for lack of feedback.
